/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2017 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui.config;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JComboBox;
import javax.swing.JLabel;

import net.sf.genomeview.core.Configuration;
import be.abeel.gui.GridBagPanel;

/**
 * 
 * @author Thomas Abeel
 * 
 */
public class ComboBoxConfig extends GridBagPanel {

	

	private static final long serialVersionUID = 5793902272456842701L;

	public ComboBoxConfig(String[] list, final String selectedKey, String msg) {
		gc.weightx = 0;
		gc.weighty = 0;
		add(new JLabel(msg), gc);
		gc.gridx++;

		final JComboBox jbc = new JComboBox(list);
		jbc.setSelectedItem(Configuration.get(selectedKey));

		jbc.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				Object o = jbc.getSelectedItem();
				System.out.println("Selected item: " + o);
				Configuration.set(selectedKey, o.toString());

			}

		});
		add(jbc, gc);
	}

}
